// Copyright 2024 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import '/shared/key_value_pair_viewer/key_value_pair_viewer.js';
import { CrLitElement } from 'chrome://resources/lit/v3_0/lit.rollup.js';
import { getCss } from './css/about_sys.css.js';
import { FeedbackBrowserProxyImpl } from './js/feedback_browser_proxy.js';
import { getHtml } from './system_info_app.html.js';
export class SystemInfoAppElement extends CrLitElement {
    static get is() {
        return 'system-info-app';
    }
    static get styles() {
        return getCss();
    }
    render() {
        return getHtml.bind(this)();
    }
    static get properties() {
        return {
            entries_: { type: Array },
            loading_: {
                type: Boolean,
                reflect: true,
            },
        };
    }
    #entries__accessor_storage = [];
    get entries_() { return this.#entries__accessor_storage; }
    set entries_(value) { this.#entries__accessor_storage = value; }
    #loading__accessor_storage = true;
    get loading_() { return this.#loading__accessor_storage; }
    set loading_(value) { this.#loading__accessor_storage = value; }
    async connectedCallback() {
        super.connectedCallback();
        this.entries_ =
            await FeedbackBrowserProxyImpl.getInstance().getSystemInformation();
        this.loading_ = false;
    }
}
customElements.define(SystemInfoAppElement.is, SystemInfoAppElement);
